namespace SIGCM.Domain.Interfaces;
using SIGCM.Domain.Entities;

public interface IOperationRepository
{
    Task<IEnumerable<Operation>> GetAllAsync();
    Task<Operation?> GetByIdAsync(int id);
    Task<int> AddAsync(Operation operation);
    Task DeleteAsync(int id);
}
